Foreman - Feature #33565

air gapped kickstart are slow down by impossible subscription-manager installation
09/24/2021 02:38 PM - patrick andrieux

Status: Closed
Priority: Normal
Assignee:
Category: Templates
Target version:
Difficulty: Fixed in Releases: 3.4.0
Triaged: No Found in Releases: 2.35
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/8795
Description

Snippet ‘redhat_register’ try to install subscription-manager (at about line 115).

On an air-gapped infrastructure, that causes a timeout trying reach an unreachable internet repo.

It slows down the kickstart then if subscription-manager has not been installed before, | guess some part of the kickstart will failed.

| do install subscription-manager in the custom snippet of section %packages because | think it's the only place | can do that.

Then it would be nice to speed-up an air gapped kickstart by avoiding to wait for an inevitable timeout.

Associated revisions

Revision 8a7136dd - 08/07/2022 08:56 AM - patrick andrieux

Fixes #33565 - speed-up kickstart on air gapped infra (#8795)

History

#1 - 09/28/2021 07:30 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/8795 added

#2 - 08/07/2022 08:56 AM - The Foreman Bot
- Fixed in Releases 3.4.0 added

#3 - 08/07/2022 09:01 AM - patrick andrieux
- Status changed from Ready For Testing to Closed

Applied in changeset foreman|8a7136dd86028fbf4dc90fbc3763ba4ff9282cce.

#4 - 08/25/2022 05:18 PM - Amit Upadhye

- Category set to Templates
